Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Service Class Reference

`#include <coherence/net/Service.hpp>`

Inherits Service.

Inherited by CacheService `[virtual]`, and InvocationService `[virtual]`.

List of all members.

## Detailed Description

This Service interface represents a controllable service that operates in a clustered network environment.

Author:
  jh 2007.12.20

## Public Types
typedef spec::Handle | Handle
| Service Handle definition.
typedef spec::View | View
| Service View definition.
typedef spec::Holder | Holder
| Service Holder definition.
## Public Member Functions
virtual ServiceInfo::View | getInfo () const =0
| Return the ServiceInfo object for this Service.
virtual void | addMemberListener (MemberListener::Handle hListener)=0
| Add a Member listener.
virtual void | removeMemberListener (MemberListener::Handle hListener)=0
| Remove a Member listener.
virtual Object::Holder | getUserContext () const =0
| Return the user context object associated with this Service.
virtual void | setUserContext (Object::Holder ohCtx)=0
| Associate a user context object with this Service.
virtual Serializer::View | getSerializer () const =0
| Return a Serializer used by this Service.
virtual void | setThreadGroup (ThreadGroup::Handle hGroup)=0
| Specifies the ThreadGroup within which the Service thread will be created.
virtual ThreadGroup::Handle | getThreadGroup ()=0
| Return the ThreadGroup for the Daemon.
virtual ThreadGroup::View | getThreadGroup () const =0
| Return the ThreadGroup for the Daemon.
virtual IdentityAsserter::Handle | getIdentityAsserter () const =0
| Get the IdentityAsserter.
virtual void | setIdentityAsserter (IdentityAsserter::Handle hAsserter)=0
| Set the IdentityAsserter.
virtual IdentityTransformer::Handle | getIdentityTransformer () const =0
| Get the IdentityTranformer.
virtual void | setIdentityTransformer (IdentityTransformer::Handle hTransformer)=0
| Set the IdentityTranformer.

## Member Function Documentation

virtual ServiceInfo::View getInfo | ( |  | ) | const `[pure virtual]`

Return the ServiceInfo object for this Service.

Returns:
  the ServiceInfo object

virtual void addMemberListener | ( | MemberListener::Handle | hListener | ) | `[pure virtual]`

Add a Member listener.

Parameters:

  | hListener | the MemberListener to add

virtual void removeMemberListener | ( | MemberListener::Handle | hListener | ) | `[pure virtual]`

Remove a Member listener.

Parameters:

  | hListener | the MemberListener to remove

virtual Object::Holder getUserContext | ( |  | ) | const `[pure virtual]`

Return the user context object associated with this Service.

The data type and semantics of this context object are entirely application specific and are opaque to the Service itself.

Returns:
  an associated user contex object or NULL if a context has not been set

virtual void setUserContext | ( | Object::Holder | ohCtx | ) | `[pure virtual]`

Associate a user context object with this Service.

Parameters:

  | ohCtx | a user context object

virtual Serializer::View getSerializer | ( |  | ) | const `[pure virtual]`

Return a Serializer used by this Service.

Returns:
  the Serializer object

Since:
  Coherence 3.4

virtual void setThreadGroup | ( | ThreadGroup::Handle | hGroup | ) | `[pure virtual]`

Specifies the ThreadGroup within which the Service thread will be created.

If not specified, the current Thread's ThreadGroup will be used.

This property can only be set at runtime, and must be configured before start() is invoked to cause the Service thread to be created within the specified ThreadGroup.

Parameters:

  | hGroup | the group to use

virtual ThreadGroup::Handle getThreadGroup | ( |  | ) | `[pure virtual]`

Return the ThreadGroup for the Daemon.

Returns:
  the ThreadGroup for the Daemon.

virtual ThreadGroup::View getThreadGroup | ( |  | ) | const `[pure virtual]`

Return the ThreadGroup for the Daemon.

Returns:
  the ThreadGroup for the Daemon.

virtual void setIdentityAsserter | ( | IdentityAsserter::Handle | hAsserter | ) | `[pure virtual]`

Set the IdentityAsserter.

Parameters:

  | hAsserter | the IdentityAsserter

virtual void setIdentityTransformer | ( | IdentityTransformer::Handle | hTransformer | ) | `[pure virtual]`

Set the IdentityTranformer.

Parameters:

  | vTransformer | the IdentityTranformer

The documentation for this class was generated from the following file:

- coherence/net/Service.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.